%define module	hyperlink

Name:		python-%{module}
Version:	17.3.0
Release:	%mkrel 1
Summary:	A featureful, correct URL for Python 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/hyperlink/
Source0:	https://pypi.io/packages/source/h/hyperlink/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Hyperlink is a featureful, pure-Python 2 implementation of the URL,
with an emphasis on correctness.

%package -n	python3-%{module}
Summary:	A featureful, correct URL for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
Hyperlink is a featureful, pure-Python 3 implementation of the URL,
with an emphasis on correctness.

%prep
%setup -qn %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Feb 20 2018 daviddavid <daviddavid> 17.3.0-1.mga6
+ Revision: 1203496
- branch python-hyperlink for mga6 (needed for python-twisted)

* Sat Aug 05 2017 pterjan <pterjan> 17.3.0-2.mga7
+ Revision: 1135454
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 17.3.0-1.mga7
+ Revision: 1132247
- initial package python-hyperlink

